/// <reference types="node" />
/// <reference types="node/http" />
/// <reference types="got/dist/source/core/timed-out" />
import { Response } from 'got/dist/source';
export declare const pinoSerializers: {
    bidirectional: {
        req: (req: Request & {
            failed: boolean;
        }) => string | {
            method: string;
            url: string;
            headers: Headers;
            json: () => Promise<any>;
        };
        res: (res: Response & {
            failed: boolean;
        }) => number | {
            statusCode: number;
            headers: import("http").IncomingHttpHeaders;
            body: unknown;
        };
    };
};
