"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pinoSerializers = void 0;
exports.pinoSerializers = {
    bidirectional: {
        req: (req) => {
            if (req.failed) {
                return {
                    method: req.method,
                    url: req.url,
                    headers: req.headers,
                    json: req.json,
                };
            }
            return `${req.method} ${req.url}`;
        },
        res: (res) => {
            if (res.failed) {
                return {
                    statusCode: res.statusCode,
                    headers: res.headers,
                    body: res.body,
                };
            }
            return res.statusCode;
        },
    },
};
//# sourceMappingURL=log-serializers.js.map